---
- name: "[RHEL] use pip from python2"
  ansible.builtin.set_fact:
    python_pip_package: python2-pip
  when: ansible_python.version.major == 2

- name: "[RHEL] use pip from python3"
  ansible.builtin.set_fact:
    python_pip_package: python3-pip
  when: ansible_python.version.major == 3

- name: "[RHEL] Install list of needed packages"
  environment: "{{ proxy_env }}"
  become: true
  ansible.builtin.dnf:
    name: "{{ k8s_collection_rhel_packages }}"
    state: present
